Bug 1323249 - libcaca: Provide a Python 3 subpackage / unresponsive maintainer
Summary: libcaca: Provide a Python 3 subpackage / unresponsive maintainer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libcaca
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-04-01 15:53 UTC by Tomas Orsava
Modified: 2019-02-03 20:54 UTC (History)
2 users (show)

Fixed In Version: libcaca-0.99-0.41.beta19.fc30
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-03 20:54:28 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-04-01 15:53:08 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-22 16:07:46 UTC
Hello Matthias,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Jan Kurik 2016-07-26 04:40:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Iryna Shcherbina 2017-11-08 17:11:54 UTC
I have prepared a Pagure PR with Python 3 support for this package:

https://src.fedoraproject.org/rpms/libcaca/pull-request/1

Could you please review it and merge if it looks fine?
Koji scratch build here: https://koji.fedoraproject.org/koji/taskinfo?taskID=22998904

Comment 4 Fedora End Of Life 2017-11-16 19:37:33 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-27 17:16:56 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2018-11-30 19:31:35 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Miro Hrončok 2018-11-30 20:12:06 UTC
Still no py3 package.

Comment 8 Miro Hrončok 2019-01-05 11:26:48 UTC
Consider this an unresponsive maintainer bug from now on.

I've e-mailed Matthias at 2018-12-10, no reply.

This is a first attempt per point 3 of the nonresponsive package maintainers policy.

https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Comment 9 Miro Hrončok 2019-01-17 17:42:22 UTC
This is a second attempt per point 3 of the nonresponsive package maintainers policy.

Comment 10 Miro Hrončok 2019-01-28 16:50:56 UTC
This is a third attempt per point 3 of the nonresponsive package maintainers policy.

Also sending an e-mail to the devel list.

Please respond.

Comment 11 Matthias Saou 2019-01-29 18:22:39 UTC
Sorry for the immense delay.

I have updated the spec file for master/fc30, but it failed to build because of some glib2 linking issue. I'm unsure if it's a permanent change in Rawhide or some temporary breakage: https://koji.fedoraproject.org/koji/taskinfo?taskID=32332701

My own F28 and F29 builds have worked, and so has my limited testing of loading the resulting python module, so I have gone ahead and rebuilt it for f29 and will push it shortly as a testing update.

Comment 12 Miro Hrončok 2019-01-29 18:32:07 UTC
Try with %undefine _ld_as_needed

Comment 13 Miro Hrončok 2019-02-03 20:54:28 UTC
Fixed with.

export LDFLAGS="$(pkg-config --libs gio-2.0) $LDFLAGS"

Thanks.


Note You need to log in before you can comment on or make changes to this bug.